WordPress.org

Ready to get started?Download WordPress

Forums

Widgets in WordPress 2.2 (6 posts)

  1. Christopher11
    Member
    Posted 7 years ago #

    Hi. I upgraded to 2.2 this Sunday. I have a question about Widgets. My theme, which is the Sirius theme with some modifications and I really like it, did not allow Widgets.

    Is it true that WordPress 2.2 is Widget compatible, no matter what theme you have?

    I have been studying about how to Widgetize my theme via modifications to my the ul section in my sidebar, but I'm not sure if this is relevant with 2.2.

    Thank you for any help.

    P.S. I am posting my modified sidebar code below. Did i do it right?

    <div id="menu">

    <?php /*********************************

      <?php if ( !function_exists('dynamic_sidebar')
      || !dynamic_sidebar() ) : ?>

    • <h2 class="sidebar">Titel</h2>
      • Inhalt
    • <?php endif; ?>

    ************************************** /?>

    <?php /* -- Blogbeschreibung -- */
    if (function_exists('sirius_blogbeschreibunganzeige')) { sirius_blogbeschreibunganzeige();} ?>

    <?php /* -- Kalender -- */
    if (function_exists('sirius_kalender')) { sirius_kalender();} ?>

    <?php /* -- Kategorien -- */
    if (function_exists('sirius_kategorien')) { sirius_kategorien();} ?>

    <?php /* -- Suche -- */
    if (function_exists('sirius_suche')) { sirius_suche();} ?>

    <?php /* -- Letze Kommentare -- */
    if (function_exists('sirius_kommentare')) { sirius_kommentare();} ?>

    <?php /* -- Seiten -- */
    if (function_exists('sirius_seiten')) { sirius_seiten();} ?>

    <?php /* -- Blogroll -- */
    if (function_exists('sirius_blogroll')) { sirius_blogroll();} ?>

    <?php /* -- Archiv -- */
    if (function_exists('sirius_archiv')) { sirius_archiv();} ?>

    <?php /* -- Feeds -- */
    if (function_exists('sirius_feeds')) { sirius_feeds();} ?>

    <?php /* -- Meta -- */
    if (function_exists('sirius_meta')) { sirius_meta();} ?>

    </div>

  2. moshu
    Member
    Posted 7 years ago #

    The widgets are built-in since 2.2
    You should read before upgrading...
    If your theme doesn't support it - disable the widgets:
    http://wordpress.org/extend/plugins/disable-wordpress-widgets/

  3. Christopher11
    Member
    Posted 7 years ago #

    Thank you for responding. I've downloaded, ftp'd and activated the plugin you linked me to, thank you. I actually did read before upgrading, which is why I believed Widgets were built in. I'm still a newbie and don't entirely understand what that means.

    My next question if I may:

    My original interest in Widgets was to be able to add a photo to my sidebar, as well as an AdSense ad.

    Can you tell me how to begin doing this with 2.2?

    Thanks so much for any help.

  4. Samuel Wood (Otto)
    Tech Ninja
    Posted 7 years ago #

    Is it true that WordPress 2.2 is Widget compatible, no matter what theme you have?

    No. The theme must be widget compatible as well.

    I have been studying about how to Widgetize my theme via modifications to my the ul section in my sidebar, but I'm not sure if this is relevant with 2.2.

    Yes, it is still relevant and in the exact same way as well.

    http://automattic.com/code/widgets/themes/

    Versions before 2.2 required the Widget plugin.
    Versions after 2.2 do not.

    That's the only difference. And no, you do not need to "disable the widgets" if the theme does not support them.

  5. Christopher11
    Member
    Posted 7 years ago #

    Oh, okay. Thanks for writing, Otto42! Okay, so I need to Widgetize my theme. What do you think of the code above? Did I code in the dynamic side bar correctly? If so, can I now download and install Sidebar Widgets and begin using them?

    Thanks again. I appreciate the help.

  6. bbx
    Member
    Posted 7 years ago #

    I was having problems with Widgets. I read that it was integrated with the 2.2 version. Took hours to find out it actually was under Themes > Widgets. This should be written somewhere, cause it took long enough for me to come accross the Widgets tag!

    bbx

Topic Closed

This topic has been closed to new replies.

About this Topic